php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #12062 apache doesn't find libphp4.so
Submitted: 2001-07-11 13:50 UTC Modified: 2001-07-12 03:46 UTC
From: admin at i-space dot org Assigned:
Status: Not a bug Package: Dynamic loading
PHP Version: 4.0.6 OS: slackware 8.0
Private report: No CVE-ID: None
 [2001-07-11 13:50 UTC] admin at i-space dot org
i'm using slackware 8.0 with apache 1.3 and i want to install php 4.0.6.
when i try to ./configure with :

./configure --prefix=/usr/local/php --with-apxs --with-mysql --with-gd --with-imagick --with-jpeg-dir --with-png-dir --with-zlib --with-openssl --with-pdflib

it configures fine, compiles fine.

after configuring httpd.conf, it still doesn't work.

when triyng to :

apxs -i -a -c libphp4.so

as is writen in the manual it gives me : 

gcc -shared -o libphp4.so libphp4.so
libphp4.so: file not recognized: File truncated
collect2: ld returned 1 exit status
apxs:Break: Command failed with rc=1

is it my fault (inproper config, ...) or somethibng i didn't done before running configure (i have mod_so)


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-07-12 03:46 UTC] sniper@php.net
you're doing something wrong. ask on the mailing lists.
this is not bug.

 
PHP Copyright © 2001-2024 The PHP Group
All rights reserved.
Last updated: Thu Feb 29 10:01:28 2024 UTC